FF 3.5.2 problems Rated 5 out of 5 stars

Sounds like something I'd be glad to use, unfortunatey not compatible with Firefox 3.5.2 yet. Hope to replace this with a real review soon ...

This review is for a previous version of the add-on (1.01).